Subject: RE: Process id in UDP/TCP mibs?

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Mon, 15 May 2006 19:29:50 -0400

Obviously that is less than desirable, but just because some platforms
may be unable to provide useful information doesn't mean we just
deprecate it for all. Implementers of SNMP agents for this MIB will thus
need to decide whether they return a value for this item or not, and if
they do what caveats may exist for it. The text already has "or zero if
there is no such process."

- Bernie

> -----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]] 
> Sent: Monday, May 15, 2006 7:20 PM
> To: Bernie Volz (volz)
> Cc: [email-masked]; [email-masked]
> Subject: Re: Process id in UDP/TCP mibs?
> 
> Bernie Volz (volz) wrote:
> > It seems to me that having some process identified with a endpoint
> > (socket) has value. Yes, it may not be the actual process 
> now using the
> > endpoint, but it still provides some meaningful information 
> (such as the
> > process that originally created the endpoint).
> 
> Even after that process has exited?
> And later, when some other process has been assigned that process id?
> 
>     Erik
> 
> > I'd rather see the description change, perhaps to something like:
> > 
> >               "The system's process ID for a process associated with
> >                this endpoint, or zero if there is no such process.
> >                This may be the process that created the endpoint
> >                or one of the processes that is presently associated
> >                with the endpoint. This value is expected to be the
> >                same as HOST-RESOURCES-MIB::hrSWRunIndex or
> >                SYSAPPL-MIB::sysApplElmtRunIndex for some row in the
> >                appropriate tables."
> > 
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 18 May 2006 10:39:08 -0700

> there is no such process."

But that text would at least need to be ammended to include
  - if there are multiple processes
  - if the process can not be determined (for instance, because there 
might have been multiple processes in the life of the udp endpoint)

    Erik